Package com.collibra.dgc.core.api.dto.instance.issue

# Class MoveIssueRequest

Object
MoveIssueRequest

All Implemented Interfaces:
  `Serializable`

public class MoveIssueRequest extends Object implements Serializable
The properties needed to move the issue.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `MoveIssueRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MoveIssueRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MoveIssueRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getCommunityId()`
  Required. The id of the community where to move the issue to.
  `UUID`
  `getIssueId()`
  Required. The id of the issue to be moved.
  `int`
  `hashCode()`
  `void`
  `setCommunityId(UUID communityId)`
  Required. The id of the community where to move the issue to.
  `void`
  `setIssueId(UUID issueId)`
  Required. The id of the issue to be moved.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MoveIssueRequest

    public MoveIssueRequest()

- ## Method Details

  - ### builder

    public static MoveIssueRequest.Builder builder()

  - ### getIssueId

    public UUID getIssueId()
    Required. The id of the issue to be moved.

  - ### getCommunityId

    public UUID getCommunityId()
    Required. The id of the community where to move the issue to.

  - ### setIssueId

    public void setIssueId(UUID issueId)
    Required. The id of the issue to be moved.

  - ### setCommunityId

    public void setCommunityId(UUID communityId)
    Required. The id of the community where to move the issue to.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`